Bug 28364 - Listview.FooterTemplate cause NullReferenceException
Summary: Listview.FooterTemplate cause NullReferenceException
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.4.1
Hardware: PC Windows
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-03-24 09:46 UTC by Evgheni Obrucicov
Modified: 2015-04-23 09:16 UTC (History)
6 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Evgheni Obrucicov 2015-03-24 09:46:50 UTC
<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="FooterTemplateTest.MainUI">

  <ListView  Footer = "Footer" Header = "Header">
    <ListView.FooterTemplate >
      <DataTemplate>
        <StackLayout>
          <Label Text="Test"/>
        </StackLayout>
      </DataTemplate>
    </ListView.FooterTemplate>
  </ListView>
</ContentPage>

If i start a project with this main page i get
NullReferenceException at Xamarin.Forms.Platform.iOS.ListViewRenderer.OnFooterMeasureInvalidated according to call stack.

If i change FooterTemplate to HeaderTemplate the project starts and i can see empty list with a "Test" header.
If i leave FooterTemplate but remove StackLayout leaving only Label the project starts and i can see empty list with a "Test" footer.

This happend both in 1.4.0 and 1.4.1 Pre2
Comment 1 Ram Chandra 2015-03-25 08:12:49 UTC
I have checked this issue and I am able to reproduce this issue.

Steps I followed:
1. Create Blank App ( Xamarin.Forms Portable) project. 
2. Add an Xaml page to the PCL
3. Write the code mentioned in bug description
4. Call the Xaml page from app.cs 
    new Page1();
5. Build and deploy application on iOS device.

Observations : When I deploy application I observed that I am getting following exception:

Exception details: 
> Unhandled managed exception:
Object reference not set to an instance of an object (System.NullReferenceException)
  at Xamarin.Forms.Platform.iOS.ListViewRenderer.OnFooterMeasureInvalidated (System.Object sender, System.EventArgs eventArgs) [0x00072] in <filename unknown>:0 

I also observed when I change the FooterTemplate to HeaderTemplate, I am not getting any error or exception.

Note: The same code is working fine on Andorid.

Screencast: http://www.screencast.com/t/79bySbVzBja

Application Output: https://gist.github.com/Abhishekk360/05b23fed4541454ca1aa
IDE logs: https://gist.github.com/Abhishekk360/c55019ccf77c99aa46c8

Environment Info:

Xamarin.Forms: 1.4.1.6347-pre2

Microsoft Visual Studio Professional 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.6.00007

Installed Version: Professional

LightSwitch for Visual Studio 2013   06177-004-0446016-02589
Microsoft LightSwitch for Visual Studio 2013

Team Explorer for Visual Studio 2013   06177-004-0446016-02589
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013   06177-004-0446016-02589
Microsoft Visual Basic 2013

Visual C# 2013   06177-004-0446016-02589
Microsoft Visual C# 2013

Visual C++ 2013   06177-004-0446016-02589
Microsoft Visual C++ 2013

Visual F# 2013   06177-004-0446016-02589
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker   06177-004-0446016-02589
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Application Insights Tools for Visual Studio Package   1.0
Application Insights Tools for Visual Studio

ASP.NET and Web Tools   12.4.51016.0
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Microsoft Azure Websites
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Microsoft Azure

ASP.NET Web Frameworks and Tools 2012.2   4.1.21001.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.21010.0
For additional information, visit http://www.asp.net/

Common Azure Tools   1.3
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Azure Mobile Services Tools   1.3
Microsoft Azure Mobile Services Tools

NuGet Package Manager   2.8.50926.663
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2013 ENU   12.0.30626
Microsoft Office Developer Tools for Visual Studio 2013 ENU

PowerShell Tools   1.3
Provides file classification services using PowerShell

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Compact & SQLite Toolbox   4.1.0
SQL Server Compact & SQLite Toolbox adds scripting, import, export, rename, query execution and much more to SQL Server Compact & SQLite Data Connections.

SQL Server Data Tools   12.0.41012.0
Microsoft SQL Server Data Tools

Windows Phone 8.1 SDK Integration   1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   3.11.169.0 (fa69adc)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   5.1.0.78 (d73cfbc9fa7771ff7045b97d6856e91731cb4793)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.Forms Intellisense   1.0
Provides intellisense for Xamarin.Forms in the XML editor.

Xamarin.iOS   8.10.0.0 (afcf879dcc24603d668d77abae6acf96de24eafe)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration   1.0
Automated migration for Xamarin iOS Classic projects to Unified
Comment 2 Rui Marinho 2015-04-21 05:02:57 UTC
Should be fixed in 1.4.3-pre1
Comment 3 Parmendra Kumar 2015-04-23 09:16:10 UTC
I have checked this issue with Xamarin.Forms.1.4.3.6356-pre1 and its working fine at my end.

Hence closing this issue.

Environment info:
Microsoft Visual Studio Professional 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.5.51641

Installed Version: Professional

Xamarin   3.11.448.0 (e8d1103)

Xamarin.Android   5.1.0.115 
Xamarin.iOS   8.10.0.0